Bug 1253594 - JBDS8.1 Diagram Editor does not allow to use a variable for "called element" in CallActivity
JBDS8.1 Diagram Editor does not allow to use a variable for "called element" ...
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Eclipse Tooling (Show other bugs)
6.1.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Robert (Bob) Brodt
Jozef Marko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-14 04:19 EDT by Hiroko Miura
Modified: 2016-01-18 08:55 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Eclipse Project 476672 None None None Never

  None (edit)
Description Hiroko Miura 2015-08-14 04:19:28 EDT
Description of problem:
JBDS8 Diagram Editor does not allow to use a variable for "Called Element" in CallActivity

Version-Release number of selected component (if applicable):
JBDS 8.1
BPMS2 Modeler - Diagram Editor 1.1.2.Final


How reproducible:


Steps to Reproduce:
1.create business process and then create call activity
2.create Reusable Process (Call Activity)
3.open property then go to Call Activity tab, 
  In the Called Element field, click pencil icon and then input something like 
   #{processId}

Actual results:
OK button is grayed out if non alphabet character is included.
(unable input numeric and special character, such as '#','{')

Expected results:
variable representation can be accepted and saved.

Additional info:
It fails to save business process  which is imported from business central if variable is specified in called element.

Error Message somehing like:
-----
The file can not be saved because the current stateod the model is invalid.
Please resolve the following issues before saving:

The ExternalProcess ID is invalid: #(subprocessId}
----
Comment 3 Robert (Bob) Brodt 2015-09-09 13:08:05 EDT
Added support for process variable references in Called Element attribute. Also fixed validation to conform to process ID naming conventions as defined in jBPM documentation section 17.2.1.1.

See also https://bugs.eclipse.org/bugs/show_bug.cgi?id=476672
Comment 4 Jozef Marko 2015-10-06 09:36:41 EDT
Still reproducible on:
jbds-9.0.0.CR2_jbdsis-9.0.0.Alpha2
1.2.1.201509111741 bpmn2 modeler

I am marking this again as assigned, because Bob mentioned in linked bugzilla, that fix should be available in 1.2.1.201509020220 bmn2 modeler.
Comment 5 Robert (Bob) Brodt 2015-10-15 13:48:03 EDT
This is fixed in build 1.2.1.201509162051 of the editor. I forgot to promote that build, so the update site still contained the previous version.
Comment 6 Jozef Marko 2015-10-26 08:59:25 EDT
In build 1.2.1.201509162051 fix looks very good. There is feature, which checks if really exists declared variable with given name.

Great job Bob. Thanks.

I will mark this as verified, as soon as there will be JBDSIS 9 which will contain this fix.
Comment 7 Jozef Marko 2016-01-18 08:55:18 EST
Verified on jbdsis-8.0.5.CR1, BPMN2 Modeller 1.1.4.Final

#{processId} can be added as callable element.

Note You need to log in before you can comment on or make changes to this bug.